//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Models
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
models/mapobjects/delirium/br_bulb2
{
	q3map_lightimage textures/aadel_barn/lamp_light.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 33000 

	{
	map models/mapobjects/delirium/br_bulb2.tga
	}

}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Ground
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_barn/ground1
{
    q3map_nonplanar
    q3map_shadeangle 120
    qer_editorimage textures/aadel_barn/ground1.tga 
	{
		map $lightmap
		rgbGen identity
	}   
    {
        map textures/aadel_barn/ground1.tga
        blendFunc filter
    }

}
textures/aadel_barn/ground2
{
    q3map_nonplanar
    q3map_shadeangle 120
    qer_editorimage textures/aadel_barn/ground2.tga  
	{
		map $lightmap
		rgbGen identity
	}  
    {
        map textures/aadel_barn/ground2.tga
        blendFunc filter
    }
}
textures/aadel_barn/hay
{
    q3map_nonplanar
    q3map_shadeangle 120
    qer_editorimage textures/aadel_barn/hay.tga    
	{
		map $lightmap
		rgbGen identity
	}
    {
        map textures/aadel_barn/hay.tga
        blendFunc filter
    }
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Misc
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_barn/fill_sky_bright
{
    qer_trans 0.50
    qer_editorimage textures/aadel_barn/fill_sky.tga
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm nomarks
    surfaceparm trans
    skyparms - - -
    
    q3map_backSplash -1 -1
    q3map_lightRGB 0.68 0.816 1
    q3map_surfacelight 200
}

textures/aadel_barn/powerwire01
{
    qer_editorimage textures/aadel_barn/powerwire01.tga  
    cull none
    surfaceparm noimpact  
    surfaceparm nonsolid
    surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
    {
        map textures/aadel_barn/powerwire01.tga
        blendFunc filter
    }
}

textures/aadel_barn/barbiewire7
{
	nopicmip
	qer_editorimage textures/aadel_barn/barbiewire7ed.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nonsolid
	cull none
	sort 6
	{
		map textures/aadel_barn/barbiewire_twist_b.tga
		blendFunc GL_ZERO GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
        {
		map textures/aadel_barn/barbiewire_twist.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}
textures/aadel_barn/ladderclip
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
	surfaceparm detail
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	surfaceparm trans
}
textures/aadel_barn/clip_nokick
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm slick
}

levelshots/ut4_barn_b1
{
	nopicmip
	nomipmaps
        {
                map levelshots/ut4_barn_b1.tga
	}	
	
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Decals
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_barn/decal_keres4_decal02
{
	qer_editorimage textures/aadel_barn/keres4_decal02.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nomipmaps
        nopicmip
	{
		map textures/aadel_barn/keres4_decal02.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_barn/decal_keres4_decal04
{
	qer_editorimage textures/aadel_barn/keres4_decal04.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nomipmaps
        nopicmip
	{
		map textures/aadel_barn/keres4_decal04.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_barn/decal_keres4_decal05
{
	qer_editorimage textures/aadel_barn/keres4_decal05.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nomipmaps
        nopicmip
	{
		map textures/aadel_barn/keres4_decal05.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_barn/decal_keres4_decal06
{
	qer_editorimage textures/aadel_barn/keres4_decal06.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nomipmaps
        nopicmip
	{
		map textures/aadel_barn/keres4_decal06.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_barn/decal_keres4_decal08
{
	qer_editorimage textures/aadel_barn/keres4_decal08.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nomipmaps
        nopicmip
	{
		map textures/aadel_barn/keres4_decal08.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_barn/decal_keres4_decal09
{
	qer_editorimage textures/aadel_barn/keres4_decal09.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nomipmaps
        nopicmip
	{
		map textures/aadel_barn/keres4_decal09.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_barn/decal_keres4_decal12
{
	qer_editorimage textures/aadel_barn/keres4_decal12.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nomipmaps
        nopicmip
	{
		map textures/aadel_barn/keres4_decal12.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_barn/decal_keres4_decal35
{
	qer_editorimage textures/aadel_barn/keres4_decal35.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nomipmaps
        nopicmip
	{
		map textures/aadel_barn/keres4_decal35.tga
		blendfunc gl_dst_color gl_src_color
	}
}